<template>
  <div class="mb-[50px]" @scroll="onScroll">
    <utils-mobile-banner
      :theme-properties="themeProperties"
      :actived="'GameInitial'"
      class="mobileBannerCarouselBfm1"
    />
    <MGameEntry class="mGameEntry" />
    <div class="h-[31px]"></div>
  </div>
  <game-footer :auth="authentication" />
</template>

<script lang="ts">
import { defineComponent, computed } from "vue";
import MGameEntry from "./components/game-lobby/GameEntry.client.vue";
import GameFooter from "./components/game-lobby/GameFooter.client.vue";
import { store } from "@/store";

export default defineComponent({
  name: "Game",
  components: {
    MGameEntry,
    GameFooter,
  },
  setup() {
    const authentication = computed(() => store.state.auth);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const onScroll = (e: any) => {
      const stickySearchGameFilter = document.querySelector(
        ".stickySearchGameFilter"
      );
      const scrollVal = e.target.scrollTop;
      if (scrollVal >= 165) {
        stickySearchGameFilter?.classList.add("fixedSearchGameFilter");
      } else {
        stickySearchGameFilter?.classList.remove("fixedSearchGameFilter");
      }
    };
    return {
      onScroll,
      authentication,
      themeProperties,
    };
  },
});
</script>

<style lang="scss" scoped>
.mGameEntry {
  :deep(.stickySearchGameFilter) {
    &.fixedSearchGameFilter {
      position: fixed;
      z-index: 21;
      top: 61px;
      width: 100%;
    }
  }
  :deep(.el-loading-parent--relative) {
    .el-loading-mask {
      top: 20vh;
    }
  }
}
</style>
